This document lists the events and parameters for
various types of
Calendar Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=calendar`.

## A calendar was modified


Creation or deletion of a calendar, or modification of one of its properties - e.g. its title, description, or sharing settings.
Events of this type are returned with `type=calendar_change`.

### Calendar access level(s) changed

Event details Event name `change_calendar_acls` Parameters `access_level` `string`


Access Level.
Possible values:

- `editor`  
  For calendar, full owner access except that access control settings cannot be modified. For event, user may edit event.
- `freebusy`  
  Event(s) only show up as busy time.
- `none`  
  Calendar or event not visible.
- `owner`  
  Full access to calendar properties, access control, and events.
- `read`  
  Event details are readable.
- `root`  
  Full owner privileges plus access to preferences. Used for domain admins.
`api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`grantee_email` `string`


Grantee Email.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_acls&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the access level on a calendar for {grantee_email} to {access_level}`

### Calendar country changed

Event details Event name `change_calendar_country` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_country` `string`


Calendar Country.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_country&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the country of a calendar to {calendar_country}`

### Calendar created

Event details Event name `create_calendar` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=create_calendar&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a new calendar`

### Calendar deleted

Event details Event name `delete_calendar` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=delete_calendar&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a calendar`

### Calendar description changed

Event details Event name `change_calendar_description` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_description` `string`


Calendar Description.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_description&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the description of a calendar to {calendar_description}`

### Calendar exported

Event details Event name `export_calendar` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=export_calendar&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} exported a calendar`

### Calendar location changed

Event details Event name `change_calendar_location` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`calendar_location` `string`


Calendar Location.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_location&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the location of a calendar to {calendar_location}`

### Calendar printed

Event details Event name `print_preview_calendar` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`requested_period_end` `integer`


End of the time window for which the availability was requested.
`requested_period_start` `integer`


Start of the time window for which the availability was requested.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=print_preview_calendar&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} generated a print preview of a calendar`

### Calendar timezone changed

Event details Event name `change_calendar_timezone` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`calendar_timezone` `string`


Calendar Timezone.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_timezone&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the timezone of a calendar to {calendar_timezone}`

### Calendar title changed

Event details Event name `change_calendar_title` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`calendar_title` `string`


Calendar Title.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_title&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the title of a calendar to {calendar_title}`

### Calendar transfer accepted

Event details Event name `transfer_calendar_accepted` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`calendar_title` `string`


Calendar Title.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=transfer_calendar_accepted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} accepted ownership of the calendar {calendar_title}`

### Calendar transfer requested

Event details Event name `transfer_calendar_requested` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`calendar_title` `string`


Calendar Title.
`recipient_email` `string`


The notification recipient email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=transfer_calendar_requested&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested transferring ownership of the calendar {calendar_title} to {recipient_email}`

### Stripe connected

Event details Event name `change_calendar_stripe_connected` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_stripe_connected&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} connected a Stripe account`

### Stripe disconnected

Event details Event name `change_calendar_stripe_disconnected` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_calendar_stripe_disconnected&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} disconnected a Stripe account`

### User blocked

Event details Event name `block_user` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`recipient_email` `string`


The notification recipient email address.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=block_user&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} blocked {recipient_email} in Calendar`

## A notification was triggered


Notification related to an event or calendar triggered for a user.
Events of this type are returned with `type=notification`.

### Notification triggered

Event details Event name `notification_triggered` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`event_id` `string`


Event Id.
`notification_message_id` `string`


The notification message Id.
`notification_method` `string`


Notification Method.
Possible values:

- `alert`  
  Notification by popup window or alarm.
- `default`  
  Calendar reminder defaults.
- `email`  
  Notification by email.
- `sms`  
  Notification by SMS.
`notification_type` `string`


Notification Type.
Possible values:

- `calendar_access_granted`  
  Notification of a grant to access a calendar.
- `calendar_request`  
  Notification of a request to access a calendar.
- `cancelled_event`  
  Notification of an event being cancelled.
- `changed_event`  
  Notification of a change in an event's details.
- `daily_agenda`  
  Daily notification of the events for the upcoming day.
- `email_guests`  
  Notification of an email sent to event guests.
- `event_reminder`  
  Reminder in advance of event's start time.
- `new_event`  
  Notification of a new event appearing on the calendar.
- `reply_received`  
  Notification of a response being received to an event organized on this calendar.
- `transfer_event_request`  
  Notification of an event ownership change.
`recipient_email` `string`


The notification recipient email address.
`secs_in_advance` `integer`


Seconds in advance for reminder.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=notification_triggered&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} triggered an {notification_method} notification of type {notification_type} to {recipient_email}`

## A subscription was added or removed


Addition or removal of a subscription to a calendar or to a particular event.
Events of this type are returned with `type=subscription_change`.

### Subscription added

Event details Event name `add_subscription` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`event_id` `string`


Event Id.
`notification_method` `string`


Notification Method.
Possible values:

- `alert`  
  Notification by popup window or alarm.
- `default`  
  Calendar reminder defaults.
- `email`  
  Notification by email.
- `sms`  
  Notification by SMS.
`notification_type` `string`


Notification Type.
Possible values:

- `calendar_access_granted`  
  Notification of a grant to access a calendar.
- `calendar_request`  
  Notification of a request to access a calendar.
- `cancelled_event`  
  Notification of an event being cancelled.
- `changed_event`  
  Notification of a change in an event's details.
- `daily_agenda`  
  Daily notification of the events for the upcoming day.
- `email_guests`  
  Notification of an email sent to event guests.
- `event_reminder`  
  Reminder in advance of event's start time.
- `new_event`  
  Notification of a new event appearing on the calendar.
- `reply_received`  
  Notification of a response being received to an event organized on this calendar.
- `transfer_event_request`  
  Notification of an event ownership change.
`secs_in_advance` `integer`


Seconds in advance for reminder.
`subscriber_calendar_id` `string`


Calendar Id of Subscriber.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=add_subscription&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} subscribed {subscriber_calendar_id} to {notification_type} notifications via {notification_method} for {calendar_id}`

### Subscription deleted

Event details Event name `delete_subscription` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`event_id` `string`


Event Id.
`notification_method` `string`


Notification Method.
Possible values:

- `alert`  
  Notification by popup window or alarm.
- `default`  
  Calendar reminder defaults.
- `email`  
  Notification by email.
- `sms`  
  Notification by SMS.
`notification_type` `string`


Notification Type.
Possible values:

- `calendar_access_granted`  
  Notification of a grant to access a calendar.
- `calendar_request`  
  Notification of a request to access a calendar.
- `cancelled_event`  
  Notification of an event being cancelled.
- `changed_event`  
  Notification of a change in an event's details.
- `daily_agenda`  
  Daily notification of the events for the upcoming day.
- `email_guests`  
  Notification of an email sent to event guests.
- `event_reminder`  
  Reminder in advance of event's start time.
- `new_event`  
  Notification of a new event appearing on the calendar.
- `reply_received`  
  Notification of a response being received to an event organized on this calendar.
- `transfer_event_request`  
  Notification of an event ownership change.
`secs_in_advance` `integer`


Seconds in advance for reminder.
`subscriber_calendar_id` `string`


Calendar Id of Subscriber.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=delete_subscription&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unsubscribed {subscriber_calendar_id} from {notification_type} notifications via {notification_method} for {calendar_id}`

## An appointment schedule was modified


Creation, deletion, or modification of an appointment schedule on a calendar.
Events of this type are returned with `type=appointment_schedule_change`.

### Appointment schedule changed

Event details Event name `change_appointment_schedule` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`appointment_schedule_title` `string`


The title of the calendar appointment schedule.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_appointment_schedule&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} modified the appointment schedule {appointment_schedule_title}`

### Appointment schedule created

Event details Event name `create_appointment_schedule` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`appointment_schedule_title` `string`


The title of the calendar appointment schedule.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=create_appointment_schedule&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a new appointment schedule {appointment_schedule_title}`

### Appointment schedule deleted

Event details Event name `delete_appointment_schedule` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`appointment_schedule_title` `string`


The title of the calendar appointment schedule.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=delete_appointment_schedule&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted the appointment schedule {appointment_schedule_title}`

## An event was modified


Creation, deletion, or modification of an event on a calendar.
Events of this type are returned with `type=event_change`.

### Event created

Event details Event name `create_event` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=create_event&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a new event {event_title}`

### Event deleted

Event details Event name `delete_event` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=delete_event&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted the event {event_title}`

### Event guest added

Event details Event name `add_event_guest` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_guest` `string`


Event Guest Email.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=add_event_guest&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} invited {event_guest} to {event_title}`

### Event guest auto-response

Event details Event name `change_event_guest_response_auto` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`event_guest` `string`


Event Guest Email.
`event_id` `string`


Event Id.
`event_response_status` `string`


Event Guest Response Status.
Possible values:

- `accepted`  
  Guest plans to attend.
- `accepted_from_meeting_room`  
  Guest plans to attend from meeting room.
- `accepted_virtually`  
  Guest plans to attend virtually.
- `declined`  
  Guest does not plan to attend.
- `deleted`  
  Guest removed themselves from the event.
- `needs_action`  
  Guest has not responded.
- `organizer`  
  Guest is the event organizer.
- `spam`  
  Guest tagged event as spam.
- `tentative`  
  Guest expects to possibly attend.
- `uninvited`  
  Guest is no longer invited.
`event_title` `string`


Event Title.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_event_guest_response_auto&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{event_guest} auto-responded to the event {event_title} as {event_response_status}`

### Event guest removed

Event details Event name `remove_event_guest` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_guest` `string`


Event Guest Email.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=remove_event_guest&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} uninvited {event_guest} from {event_title}`

### Event guest response changed

Event details Event name `change_event_guest_response` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_guest` `string`


Event Guest Email.
`event_id` `string`


Event Id.
`event_response_status` `string`


Event Guest Response Status.
Possible values:

- `accepted`  
  Guest plans to attend.
- `accepted_from_meeting_room`  
  Guest plans to attend from meeting room.
- `accepted_virtually`  
  Guest plans to attend virtually.
- `declined`  
  Guest does not plan to attend.
- `deleted`  
  Guest removed themselves from the event.
- `needs_action`  
  Guest has not responded.
- `organizer`  
  Guest is the event organizer.
- `spam`  
  Guest tagged event as spam.
- `tentative`  
  Guest expects to possibly attend.
- `uninvited`  
  Guest is no longer invited.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_event_guest_response&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the response of guest {event_guest} for the event {event_title} to {event_response_status}`

### Event modified

Event details Event name `change_event` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_event&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} modified {event_title}`

### Event printed

Event details Event name `print_preview_event` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=print_preview_event&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} generated a print preview of event {event_title}`

### Event removed from trash

Event details Event name `remove_event_from_trash` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=remove_event_from_trash&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed the event {event_title} from trash`

### Event reported as spam

Event details Event name `report_event_as_spam` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=report_event_as_spam&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reported the event {event_title} as spam`

### Event restored

Event details Event name `restore_event` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=restore_event&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} restored the event {event_title}`

### Event start time changed

Event details Event name `change_event_start_time` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_event_start_time&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the start time of {event_title}`

### Event title modified

Event details Event name `change_event_title` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`notification_message_id` `string`


The notification message Id.
`old_event_title` `string`


If the title of a calendar event has been changed, this is the previous title of the event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recipient_email` `string`


The notification recipient email address.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=change_event_title&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the title of {old_event_title} to {event_title}`

### Event transfer completed

Event details Event name `transfer_event_completed` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=transfer_event_completed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} accepted ownership of the event {event_title}`

### Event transfer requested

Event details Event name `transfer_event_requested` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_event_type` `string`


Event Type for a calendar event.
Possible values:

- `birthday`  
  Calendar Event Type is Birthday.
- `default`  
  Default Calendar Event Type.
- `focus_time`  
  Calendar Event Type is Focus Time.
- `from_gmail`  
  Calendar Event Type is From Gmail.
- `out_of_office`  
  Calendar Event Type is Out Of Office.
- `working_location`  
  Calendar Event Type is Working Location.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`client_side_encrypted` `string`


Whether the calendar event is client-side encrypted or not.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`end_time` `integer`


The end time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`event_id` `string`


Event Id.
`event_title` `string`


Event Title.
`grantee_email` `string`


Grantee Email.
`is_recurring` `boolean`


Whether the calendar event is a recurring event.
`organizer_calendar_id` `string`


Calendar Id of this Event's organizer.
`recurrence_rule` `string`


Recurrence rule for a recurrent event.
`recurring` `string`


Whether the calendar event is a recurring event.
Possible values:

- `no`  
  No.
- `unspecified`  
  Unspecified.
- `yes`  
  Yes.
`start_time` `integer`


The start time of the event in seconds, stored in Gregorian time. Subtract 62135683200 from this value to convert to a Unix epoch timestamp.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=transfer_event_requested&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested transferring ownership of the event {event_title} to {grantee_email}`

## Interoperation between Google Calendar and MS Exchange


An event related to interoperation between Google Calendar and MS Exchange.
Events of this type are returned with `type=interop`.

### Successful availability lookup of a calendar on Exchange from Google

Successful availability information lookup of a calendar on Exchange from Google.
Event details Event name `interop_freebusy_lookup_outbound_successful` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`remote_ews_url` `string`


URL of the remote Exchange server that Google Calendar EWS server has contacted.
`requested_period_end` `integer`


End of the time window for which the availability was requested.
`requested_period_start` `integer`


Start of the time window for which the availability was requested.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=interop_freebusy_lookup_outbound_successful&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} successfully fetched availability of Exchange calendar {calendar_id}`

### Successful availability lookup of a calendar on Google from Exchange

Successful availability information lookup of a calendar on Google from Exchange.
Event details Event name `interop_freebusy_lookup_inbound_successful` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
  Indicates that a request for an action came from an event email with ICS payload.
- `ios`  
  Indicates that a request for an action came through Google Calendar app for iOS.
- `not_set`  
  Default value when no information is available about from where this action originated.
- `trip_service`  
  Indicates that the request for an action came through Events from Gmail (see https://support.google.com/calendar/answer/6084018).
- `wear_os`  
  Indicates that a request for an action came through Google Calendar app for Wear OS.
- `web`  
  Indicates that a request for an action came through the Calendar Web interface.
`calendar_id` `string`


Calendar Id of the relevant calendar in context of this action (for example the calendar that an event is on, or a calendar being subscribed to).Usually takes the form of the user's email address.
`requested_period_end` `integer`


End of the time window for which the availability was requested.
`requested_period_start` `integer`


Start of the time window for which the availability was requested.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/calendar?eventName=interop_freebusy_lookup_inbound_successful&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Exchange Server at {IP_ADDRESS_IDENTIFIER} acting as {actor} successfully fetched availability for Google calendar {calendar_id}`

### Successful availability lookup of Exchange resource from Google

Event details Event name `interop_exchange_resource_availability_lookup_successful` Parameters `api_kind` `string`


API Kind.
Possible values:

- `android`  
  Indicates that a request for an action came from an Android device.
- `api_v3`  
  Indicates that the request for an action came through Calendar API.
- `caldav`  
  Indicates that the request for an action came through Calendar CalDAV API.
- `ews`  
  Indicates that the request for an action came through Calendar EWS API (Calendar Interop, see https://support.google.com/a/topic/2798684).
- `gdata`  
  Indicates that a request for an action came through the Calendar GData API.
- `ical`  
[...]
